[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'System' (#rtl)

# ReadBarrier

Memory Read Barrier

## Declaration

Source position: systemh.inc line 555

`procedure ReadBarrier;`

## Description

ReadBarrier is a low-level instruction to force a read barrier in the CPU: all memory reads before the instruction will be finished before this instruction, before memory reads after the instruction occur.

## See also

ReadDependencyBarrier |  | Memory Read Dependency Barrier
ReadWriteBarrier |  | Memory read/write barrier
WriteBarrier |  | Memory write barrier

Documentation generated on: Feb 26 2014